//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1999  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// KBLayoutUK class - describes the UK keyboard and its use
//

public class KBLayoutUK extends KBLayoutUS {

	// unique ID for the keyboard type
	public static final String	KB_ID	= "UK";

	// tabular list of keys, showing character, keycode, shift state,
	// finger, and glyph grouping for statistics
	public KBLayoutUK() { set_kb_id( KB_ID );
replace( new Glyph(	'\"',	 2,	true,	Finger.LH_RING,		GlyphGroup.FIGURES ));
replace( new Glyph(	'@',	40,	true,	Finger.RH_PINKY,	GlyphGroup.FIGURES ));
replace( new Glyph(	'#',	43,	false,	Finger.RH_PINKY,	GlyphGroup.BASIC ));
replace( new Glyph(	'~',	41,	false,	Finger.RH_PINKY,	GlyphGroup.FIGURES ));
replace( new Glyph(	'\243',	 4,	true,	Finger.LH_MIDDLE,	GlyphGroup.FIGURES ));
replace( new Glyph(	'\\',	 0,	false,	Finger.LH_PINKY,	GlyphGroup.BASIC ));
replace( new Glyph(	'|',	 0,	true,	Finger.LH_PINKY,	GlyphGroup.FIGURES ));
	}
}
