//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1999  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// KBLayoutUS class - describes the US keyboard and its use
//

public class KBLayoutUS extends KBLayout {

	// unique ID for the keyboard type
	public static final String	KB_ID	= "US";

	// tabular list of keys, showing character, keycode, shift state,
	// finger, and glyph grouping for statistics
	public KBLayoutUS() { set_kb_id( KB_ID );
append( new Glyph(	'-',	12,	false,	Finger.RH_PINKY,	GlyphGroup.BASIC ));
append( new Glyph(	'=',	13,	false,	Finger.RH_PINKY,	GlyphGroup.BASIC ));
append( new Glyph(	'[',	26,	false,	Finger.RH_PINKY,	GlyphGroup.BASIC ));
append( new Glyph(	']',	27,	false,	Finger.RH_PINKY,	GlyphGroup.BASIC ));
append( new Glyph(	'\\',	43,	false,	Finger.RH_PINKY,	GlyphGroup.BASIC ));
append( new Glyph(	';',	39,	false,	Finger.RH_PINKY,	GlyphGroup.BASIC ));
append( new Glyph(	'\'',	40,	false,	Finger.RH_PINKY,	GlyphGroup.BASIC ));
append( new Glyph(	'\n',	28,	false,	Finger.RH_PINKY,	GlyphGroup.BASIC ));
append( new Glyph(	',',	51,	false,	Finger.RH_MIDDLE,	GlyphGroup.BASIC ));
append( new Glyph(	'.',	52,	false,	Finger.RH_RING,		GlyphGroup.BASIC ));
append( new Glyph(	'/',	53,	false,	Finger.RH_PINKY,	GlyphGroup.BASIC ));
append( new Glyph(	' ',	57,	false,	Finger.RH_THUMB,	GlyphGroup.BASIC ));
append( new Glyph(	'`',	41,	false,	Finger.LH_PINKY,	GlyphGroup.FIGURES ));
append( new Glyph(	'~',	41,	true,	Finger.LH_PINKY,	GlyphGroup.FIGURES ));
append( new Glyph(	'!',	 2,	true,	Finger.LH_PINKY,	GlyphGroup.FIGURES ));
append( new Glyph(	'@',	 3,	true,	Finger.LH_RING,		GlyphGroup.FIGURES ));
append( new Glyph(	'#',	 4,	true,	Finger.LH_MIDDLE,	GlyphGroup.FIGURES ));
append( new Glyph(	'$',	 5,	true,	Finger.LH_INDEX,	GlyphGroup.FIGURES ));
append( new Glyph(	'%',	 6,	true,	Finger.LH_INDEX,	GlyphGroup.FIGURES ));
append( new Glyph(	'^',	 7,	true,	Finger.RH_INDEX,	GlyphGroup.FIGURES ));
append( new Glyph(	'&',	 8,	true,	Finger.RH_INDEX,	GlyphGroup.FIGURES ));
append( new Glyph(	'*',	 9,	true,	Finger.RH_MIDDLE,	GlyphGroup.FIGURES ));
append( new Glyph(	'(',	10,	true,	Finger.RH_RING,		GlyphGroup.FIGURES ));
append( new Glyph(	')',	11,	true,	Finger.RH_PINKY,	GlyphGroup.FIGURES ));
append( new Glyph(	'_',	12,	true,	Finger.RH_PINKY,	GlyphGroup.FIGURES ));
append( new Glyph(	'+',	13,	true,	Finger.RH_PINKY,	GlyphGroup.FIGURES ));
append( new Glyph(	'{',	26,	true,	Finger.RH_PINKY,	GlyphGroup.FIGURES ));
append( new Glyph(	'}',	27,	true,	Finger.RH_PINKY,	GlyphGroup.FIGURES ));
append( new Glyph(	'|',	43,	true,	Finger.RH_PINKY,	GlyphGroup.FIGURES ));
append( new Glyph(	':',	39,	true,	Finger.RH_PINKY,	GlyphGroup.FIGURES ));
append( new Glyph(	'\"',	40,	true,	Finger.RH_PINKY,	GlyphGroup.FIGURES ));
append( new Glyph(	'<',	51,	true,	Finger.RH_MIDDLE,	GlyphGroup.FIGURES ));
append( new Glyph(	'>',	52,	true,	Finger.RH_RING,		GlyphGroup.FIGURES ));
append( new Glyph(	'?',	53,	true,	Finger.RH_PINKY,	GlyphGroup.FIGURES ));
append( new Glyph(	'1',	 2,	false,	Finger.LH_PINKY,	GlyphGroup.NUMERIC ));
append( new Glyph(	'2',	 3,	false,	Finger.LH_RING,		GlyphGroup.NUMERIC ));
append( new Glyph(	'3',	 4,	false,	Finger.LH_MIDDLE,	GlyphGroup.NUMERIC ));
append( new Glyph(	'4',	 5,	false,	Finger.LH_INDEX,	GlyphGroup.NUMERIC ));
append( new Glyph(	'5',	 6,	false,	Finger.LH_INDEX,	GlyphGroup.NUMERIC ));
append( new Glyph(	'6',	 7,	false,	Finger.RH_INDEX,	GlyphGroup.NUMERIC ));
append( new Glyph(	'7',	 8,	false,	Finger.RH_INDEX,	GlyphGroup.NUMERIC ));
append( new Glyph(	'8',	 9,	false,	Finger.RH_MIDDLE,	GlyphGroup.NUMERIC ));
append( new Glyph(	'9',	10,	false,	Finger.RH_RING,		GlyphGroup.NUMERIC ));
append( new Glyph(	'0',	11,	false,	Finger.RH_PINKY,	GlyphGroup.NUMERIC ));
append( new Glyph(	'Q',	16,	true,	Finger.LH_PINKY,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'W',	17,	true,	Finger.LH_RING,		GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'E',	18,	true,	Finger.LH_MIDDLE,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'R',	19,	true,	Finger.LH_INDEX,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'T',	20,	true,	Finger.LH_INDEX,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'Y',	21,	true,	Finger.RH_INDEX,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'U',	22,	true,	Finger.RH_INDEX,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'I',	23,	true,	Finger.RH_MIDDLE,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'O',	24,	true,	Finger.RH_RING,		GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'P',	25,	true,	Finger.RH_PINKY,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'A',	30,	true,	Finger.LH_PINKY,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'S',	31,	true,	Finger.LH_RING,		GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'D',	32,	true,	Finger.LH_MIDDLE,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'F',	33,	true,	Finger.LH_INDEX,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'G',	34,	true,	Finger.LH_INDEX,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'H',	35,	true,	Finger.RH_INDEX,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'J',	36,	true,	Finger.RH_INDEX,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'K',	37,	true,	Finger.RH_MIDDLE,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'L',	38,	true,	Finger.RH_RING,		GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'Z',	44,	true,	Finger.LH_PINKY,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'X',	45,	true,	Finger.LH_RING,		GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'C',	46,	true,	Finger.LH_MIDDLE,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'V',	47,	true,	Finger.LH_INDEX,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'B',	48,	true,	Finger.LH_INDEX,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'N',	49,	true,	Finger.RH_INDEX,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'M',	50,	true,	Finger.RH_INDEX,	GlyphGroup.SHIFTED_ALPHA ));
append( new Glyph(	'q',	16,	false,	Finger.LH_PINKY,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'w',	17,	false,	Finger.LH_RING,		GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'e',	18,	false,	Finger.LH_MIDDLE,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'r',	19,	false,	Finger.LH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	't',	20,	false,	Finger.LH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'y',	21,	false,	Finger.RH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'u',	22,	false,	Finger.RH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'i',	23,	false,	Finger.RH_MIDDLE,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'o',	24,	false,	Finger.RH_RING,		GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'p',	25,	false,	Finger.RH_PINKY,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'a',	30,	false,	Finger.LH_PINKY,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	's',	31,	false,	Finger.LH_RING,		GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'd',	32,	false,	Finger.LH_MIDDLE,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'f',	33,	false,	Finger.LH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'g',	34,	false,	Finger.LH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'h',	35,	false,	Finger.RH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'j',	36,	false,	Finger.RH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'k',	37,	false,	Finger.RH_MIDDLE,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'l',	38,	false,	Finger.RH_RING,		GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'z',	44,	false,	Finger.LH_PINKY,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'x',	45,	false,	Finger.LH_RING,		GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'c',	46,	false,	Finger.LH_MIDDLE,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'v',	47,	false,	Finger.LH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'b',	48,	false,	Finger.LH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'n',	49,	false,	Finger.RH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ));
append( new Glyph(	'm',	50,	false,	Finger.RH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ));
	}
}
